Межсайтовый скриптинг и SQL-инъекция в Komodo CMS

Дата публикации:
22.12.2005
Всего просмотров:
2169
Опасность:
Средняя
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2005-4362
CVE-2005-4363
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Komodo CMS 2.x
Уязвимые версии: Komodo CMS 2.1 и более ранние версии

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение и выполнить произвольные SQL команды в базе данных приложения.

1. SQL-инъекция возможна из-за недостаточной обработки входных данных в параметре "page" сценария "page.php". Удаленный пользователь может с помощью специально сформированного URL выполнить произвольные SQL команды в базе данных приложения. Пример:

/page.php?page=[SQL]

2. Межсайтовый скриптинг возможен из-за недостаточной обработки входных данных в некоторых параметрах. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный HTML код в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: www.komodocms.com

Решение: Способов устранения уязвимости не существует в настоящее время.

Источник:

Ссылки: Komodo CMS vuln.

или введите имя

CAPTCHA